## Apache Zeta Components Manual :: Docs For Class ezcWorkflowSignalSlotPlugin

### WorkflowSignalSlotTiein::ezcWorkflowSignalSlotPlugin

### Class ezcWorkflowSignalSlotPlugin

A workflow execution engine plugin that emits signals.

Source for this file: /WorkflowSignalSlotTiein/src/plugin.php

    ezcWorkflowExecutionPlugin
       |
       --ezcWorkflowSignalSlotPlugin

Version: | //autogen//

### Member Variables

protected array(string=>mixed) | `$properties = array()` Properties.
protected ezcSignalCollection | `$signals` Signals.

### Method Summary

public ezcWorkflowSignalSlotPlugin | `__construct( )` Constructor.
public void | `afterExecutionCancelled( $execution )` Called after an execution has been cancelled.
public void | `afterExecutionEnded( $execution )` Called after an execution has successfully ended.
public void | `afterExecutionResumed( $execution )` Called after an execution has been resumed.
public void | `afterExecutionStarted( $execution )` Called after an execution has been started.
public void | `afterExecutionSuspended( $execution )` Called after an execution has been suspended.
public void | `afterNodeActivated( $execution , $node )` Called after a node has been activated.
public void | `afterNodeExecuted( $execution , $node )` Called after a node has been executed.
public void | `afterThreadEnded( $execution , $threadId )` Called after a thread has ended.
public void | `afterThreadStarted( $execution , $threadId , $parentId , $numSiblings )` Called after a new thread has been started.
public void | `afterVariableSet( $execution , $variableName , $value )` Called after a variable has been set.
public void | `afterVariableUnset( $execution , $variableName )` Called after a variable has been unset.
public bool | `beforeNodeActivated( $execution , $node )` Called before a node is activated.
public mixed | `beforeVariableSet( $execution , $variableName , $value )` Called before a variable is set.
public bool | `beforeVariableUnset( $execution , $variableName )` Called before a variable is unset.

### Inherited Methods

From ezcWorkflowExecutionPlugin
public void | `ezcWorkflowExecutionPlugin::afterExecutionCancelled()` Called after an execution has been cancelled.
public void | `ezcWorkflowExecutionPlugin::afterExecutionEnded()` Called after an execution has successfully ended.
public void | `ezcWorkflowExecutionPlugin::afterExecutionResumed()` Called after an execution has been resumed.
public void | `ezcWorkflowExecutionPlugin::afterExecutionStarted()` Called after an execution has been started.
public void | `ezcWorkflowExecutionPlugin::afterExecutionSuspended()` Called after an execution has been suspended.
public void | `ezcWorkflowExecutionPlugin::afterNodeActivated()` Called after a node has been activated.
public void | `ezcWorkflowExecutionPlugin::afterNodeExecuted()` Called after a node has been executed.
public void | `ezcWorkflowExecutionPlugin::afterThreadEnded()` Called after a thread has ended.
public void | `ezcWorkflowExecutionPlugin::afterThreadStarted()` Called after a new thread has been started.
public void | `ezcWorkflowExecutionPlugin::afterVariableSet()` Called after a variable has been set.
public void | `ezcWorkflowExecutionPlugin::afterVariableUnset()` Called after a variable has been unset.
public bool | `ezcWorkflowExecutionPlugin::beforeNodeActivated()` Called before a node is activated.
public mixed | `ezcWorkflowExecutionPlugin::beforeVariableSet()` Called before a variable is set.
public bool | `ezcWorkflowExecutionPlugin::beforeVariableUnset()` Called before a variable is unset.

### Methods

#### __construct

ezcWorkflowSignalSlotPlugin __construct( )

Constructor.

#### afterExecutionCancelled

void afterExecutionCancelled( $execution )

Called after an execution has been cancelled.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterExecutionCancelled()` | Called after an execution has been cancelled.

#### afterExecutionEnded

void afterExecutionEnded( $execution )

Called after an execution has successfully ended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterExecutionEnded()` | Called after an execution has successfully ended.

#### afterExecutionResumed

void afterExecutionResumed( $execution )

Called after an execution has been resumed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterExecutionResumed()` | Called after an execution has been resumed.

#### afterExecutionStarted

void afterExecutionStarted( $execution )

Called after an execution has been started.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterExecutionStarted()` | Called after an execution has been started.

#### afterExecutionSuspended

void afterExecutionSuspended( $execution )

Called after an execution has been suspended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterExecutionSuspended()` | Called after an execution has been suspended.

#### afterNodeActivated

void afterNodeActivated( $execution , $node )

Called after a node has been activated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterNodeActivated()` | Called after a node has been activated.

#### afterNodeExecuted

void afterNodeExecuted( $execution , $node )

Called after a node has been executed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterNodeExecuted()` | Called after a node has been executed.

#### afterThreadEnded

void afterThreadEnded( $execution , int $threadId )

Called after a thread has ended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$threadId` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterThreadEnded()` | Called after a thread has ended.

#### afterThreadStarted

void afterThreadStarted( $execution , int $threadId , int $parentId , int $numSiblings )

Called after a new thread has been started.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$threadId` | int |
`$parentId` | int |
`$numSiblings` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterThreadStarted()` | Called after a new thread has been started.

#### afterVariableSet

void afterVariableSet( $execution , string $variableName , mixed $value )

Called after a variable has been set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |
`$value` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterVariableSet()` | Called after a variable has been set.

#### afterVariableUnset

void afterVariableUnset( $execution , string $variableName )

Called after a variable has been unset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterVariableUnset()` | Called after a variable has been unset.

#### beforeNodeActivated

bool beforeNodeActivated( $execution , $node )

Called before a node is activated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::beforeNodeActivated()` | Called before a node is activated.

#### beforeVariableSet

mixed beforeVariableSet( $execution , string $variableName , mixed $value )

Called before a variable is set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |
`$value` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::beforeVariableSet()` | Called before a variable is set.

#### beforeVariableUnset

bool beforeVariableUnset( $execution , string $variableName )

Called before a variable is unset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::beforeVariableUnset()` | Called before a variable is unset.

Documentation generated by phpDocumentor 1.4.3